libnova v 0.15.0

- Main Page
- Related Pages
- Modules
- Data Structures
- Files
- Examples

- Data Structures
- Data Fields

Data Fields
ln_par_orbit Struct Reference

Parabolic Orbital elements. More...

## Data Fields
double | q
double | i
double | w
double | omega
double | JD

## Detailed Description

Parabolic Orbital elements.

TODO. Angles are expressed in degrees.

## Field Documentation

double ln_par_orbit::i

Inclination in degrees

Referenced by ln_get_par_helio_rect_posn().

double ln_par_orbit::JD

Time of last passage in Perihelion, in julian day

Referenced by ln_get_par_body_elong(), ln_get_par_body_phase_angle(), ln_get_par_comet_mag(), and ln_get_par_helio_rect_posn().

double ln_par_orbit::omega

Longitude of ascending node in degrees

Referenced by ln_get_par_helio_rect_posn().

double ln_par_orbit::q

Perihelion distance in AU

Referenced by ln_get_par_body_elong(), ln_get_par_body_phase_angle(), ln_get_par_comet_mag(), and ln_get_par_helio_rect_posn().

double ln_par_orbit::w

Argument of perihelion in degrees

Referenced by ln_get_par_helio_rect_posn().